## org.biojava.stats.svm
Class SimpleItemValue

    java.lang.Object
      org.biojava.stats.svm.SimpleItemValue

All Implemented Interfaces:
  ItemValue

    public class SimpleItemValue

extends Object
implements ItemValue

A no-frills implementation of ItemValue.

Author:
  Matthew Pocock

Constructor Summary
`SimpleItemValue(Object item, double value)`

Method Summary
`Object` `getItem()`
`double` `getValue()`
`void` `setValue(double value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleItemValue

    public SimpleItemValue(Object item,
                           double value)

Method Detail

### getItem

    public Object getItem()

  Specified by:
    `getItem` in interface `ItemValue`

### getValue

    public double getValue()

  Specified by:
    `getValue` in interface `ItemValue`

### setValue

    public void setValue(double value)

  Specified by:
    `setValue` in interface `ItemValue`